package com.zhongshu.card.server.core.dao.scene;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.client.type.ShareOrderType;
import com.zhongshu.card.server.core.dao.scene.extend.SceneInfoDaoExtend;
import com.zhongshu.card.server.core.domain.pay.ShareOrder;
import com.zhongshu.card.server.core.domain.scene.SceneInfo;

public interface SceneInfoDao extends MongoDao<SceneInfo>, SceneInfoDaoExtend {

    SceneInfo findTopById(String id);

    SceneInfo findTopByName(String sceneName);

    SceneInfo findTopByCode(String code);

}
